HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Restore Coupon

Make an expired coupon redeemable again. You can change editable fields in this call.

If you aren't going to change anything in the restore action, include the coupon parameter:

Restore Coupon That Reached Redeem By Date

If your coupon has a redeem by date in the past, you must remove the date or change it to a future date, otherwise you will get this error:

<errors>
    <error field="coupon.redeem_by_date" symbol="in_past">must be in the future</error>
</errors>
Restore Coupon That Reached Max Redemptions

If your coupon has reached it's max redemptions, you must remove the max redemptions or change it to a greater number. You cannot set max redemptions to anything less than the number of redemptions you have. If you do not update max redemptions in this case, you will get this error.

<errors>
    <error field="coupon.max_redemptions" symbol="too_low">must be greater than 100</error>
</errors>
Restoring Bulk Coupons or Unique Codes

Restoring a bulk coupon will restore the coupon campaign and all unique codes that have not been redeemed or individually expired.

You can restore an individual unique code if the bulk coupon is active by using the unique code's coupon code in the call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique code to identify and redeem the coupon.

Body Params
string

Coupon name.

string

Description of the coupon on the hosted payment pages.

string

Description of the coupon on the invoice.

date-time

Last date to redeem the coupon, defaults to no date.

integer

Maximum number of accounts that may use the coupon before it can no longer be redeemed.

integer

The number of times the coupon can be redeemed on a specific account. null is the default and means unlimited.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml